<!-- 
Licensed Materials - Property of IBM
5724-L01, 5655-N53, 5724-I82, 5655-R15
Copyright IBM Corporation 2007,2008. All Rights Reserved.
US Government Users Restricted Rights- Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
-->

<%@ taglib uri="/WEB-INF/ibmcommon.tld" prefix="ibmcommon" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/tiles.tld" prefix="tiles" %>
<%@ page import="java.util.Iterator"%>
<%@ page import="com.ibm.ws.console.sca.httpBinding.SCAModuleHttpBindingForm"%>
<%@ page import="com.ibm.ws.console.sca.SCAModuleDetailForm"%>
<tiles:useAttribute name="title" classname="java.lang.String" />
<tiles:useAttribute name="linkList" classname="java.util.List" />

<%
SCAModuleHttpBindingForm detailForm = (SCAModuleHttpBindingForm) session
                    .getAttribute("com.ibm.ws.console.sca.httpBinding.SCAModuleHttpBindingForm");
SCAModuleDetailForm moduleDetailForm=(SCAModuleDetailForm) session
                    .getAttribute("com.ibm.ws.console.sca.SCAModuleDetailForm");                   
%>
<DIV id="additional.properties" class="main-category" style='margin-left:0.3em;'>                            
		<bean:message key="<%=title%>"/>
</DIV> 
<DIV id="child_javaprocessmanagement.properties" class="sub-category-container" style="display:block">
			<UL CLASS="main-child">
<%
Iterator iter = linkList.iterator();
boolean hasWebModule = true;
while (iter.hasNext()) {
com.ibm.ws.console.sca.LinkItem item = (com.ibm.ws.console.sca.LinkItem) iter.next();
String linkName= item.getValue();
String linkDescription= item.getTooltip();
String linkValue ="";
if(linkName.equalsIgnoreCase("ScaModules.Binding.jaasAuth.displayName"))
	linkValue=detailForm.getJaasJ2cForward();
	else if(linkName.equalsIgnoreCase("ScaModules.Binding.sslConfiguration.displayName"))
		linkValue=detailForm.getSslConfigForward();
	else if(linkName.equalsIgnoreCase("ScaModules.Binding.manageWebModule.displayName"))
	{
		linkValue=detailForm.getWebModuleForward();
		if(linkValue.equals(""))
		    hasWebModule = false;
	}
	else if(linkName.equalsIgnoreCase("ScaModules.Binding.contextRoot.displayName")&&hasWebModule)
		linkValue=detailForm.getContextRootForward();	
	else if(linkName.equalsIgnoreCase("ScaModules.Binding.virtualHost.displayName")&&hasWebModule)
		linkValue=detailForm.getVirtualHostForward();
	else if(linkName.equalsIgnoreCase("ScaModules.Binding.jspReloadOption.displayName")&&hasWebModule)
		linkValue=detailForm.getJspReloadOptionForward();
	else if(linkName.equalsIgnoreCase("ScaModules.Binding.sessionManagement.displayName")&&hasWebModule)
		linkValue=detailForm.getSessionManagementForward();	
	else if(linkName.equalsIgnoreCase("ScaModules.Binding.scaSystem.displayName")){
		if(moduleDetailForm!=null)
		linkValue=moduleDetailForm.getScaSystemBusForward();
	}
	else if(linkName.equalsIgnoreCase("ScaModules.Binding.scaApplication.displayName")){
		if(moduleDetailForm!=null)
		linkValue=moduleDetailForm.getScaApplicationBusForward();
	}
	else if(linkName.equalsIgnoreCase("ScaModules.Binding.BIsecurity.displayName")){
		if(moduleDetailForm!=null)
		linkValue=moduleDetailForm.getBiSecurityForward();
	}
	else if(linkName.equalsIgnoreCase("ScaModules.Binding.relatedApp.displayName")){
		if(moduleDetailForm!=null)
		linkValue=moduleDetailForm.getAssociatedAppForward();
	}
	else if(linkName.equalsIgnoreCase("ScaModules.Binding.deployTargets.displayName")){
		if(moduleDetailForm!=null)
		linkValue=moduleDetailForm.getDeployTargetsForward();
	}
	else if(linkName.equalsIgnoreCase("ScaModules.Binding.busDestination.displayName")){
		if(moduleDetailForm!=null)
		linkValue=moduleDetailForm.getBusDestinationsForward();
	}
%>
<LI CLASS="nav-bullet" TITLE="<bean:message key="<%=linkDescription%>"/>">
					
<%					if(linkValue.equals(""))
                    {%>
                         <bean:message key="<%=linkName%>" />
                    <%}
                    else
                    {%>
						<a href="<%=linkValue%>">
							<bean:message key="<%=linkName%>" />                       
						</a>
				    <%}%> 
</LI>
<%
	} 
%>
</UL>
</DIV>
