<%
//BEGIN COPYRIGHT
//*************************************************************************
//
//	Licensed Materials - Property of IBM
//	5724-I82, 5655-R15
//	- Copyright IBM Corporation 2006,2007. All Rights Reserved.
//	US Government Users Restricted Rights- Use, duplication or disclosure
//	restricted by GSA ADP Schedule Contract with IBM Corp.
//
//*************************************************************************
//END COPYRIGHT
%>

<%@ page import="java.util.*"%>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic"%>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean"%>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html"%>
<%@ taglib uri="/WEB-INF/tiles.tld" prefix="tiles"%>

<%@ page import="com.ibm.ws.console.core.ConfigFileHelper"%>
<%@ page import="com.ibm.ws.console.wbi.coreceipme.CEIServerForm"%>
<tiles:useAttribute name="bean" classname="java.lang.String" />
<tiles:useAttribute name="formAction" classname="java.lang.String" />
<tiles:useAttribute name="formType" classname="java.lang.String" />


<bean:define id="isEnableServer" name="<%=bean%>"
	property="isEnableServer" type="java.lang.Boolean" />
<bean:define id="databaseProvider" name="<%=bean%>"
	property="databaseProvider" type="java.lang.String" />
<bean:define id="databaseName" name="<%=bean%>" 
    property="databaseName" type="java.lang.String" />
<bean:define id="dbUserName" name="<%=bean%>"
	property="dbUserName" type="java.lang.String" />
<bean:define id="dbPassword" name="<%=bean%>"
	property="dbPassword" type="java.lang.String" />
<bean:define id="additionalProperties" name="<%=bean%>" 
    property="additionalProperties" type="java.lang.String" />
<bean:define id="isOverrideDataSource" name="<%=bean%>"
	property="isOverrideDataSource" type="java.lang.Boolean" />
<bean:define id="isCreateDatabase" name="<%=bean%>"
	property="isCreateDatabase" type="java.lang.Boolean" />

<bean:define id="isUseDefaultDataStore" name="<%=bean%>"
	property="isUseDefaultDataStore" type="java.lang.Boolean" />
<bean:define id="dataSource" name="<%=bean%>"
	property="dataSource" type="java.lang.String" />
<bean:define id="dsSchemaName" name="<%=bean%>" 
    property="dsSchemaName" type="java.lang.String" />
<bean:define id="dsUserName" name="<%=bean%>"
	property="dsUserName" type="java.lang.String" />
<bean:define id="dsPassword" name="<%=bean%>"
	property="dsPassword" type="java.lang.String" />
<bean:define id="isCreateTables" name="<%=bean%>"
	property="isCreateTables" type="java.lang.Boolean" />
<bean:define id="remoteDest" name="<%=bean%>"
	property="remoteDest" type="java.lang.String" />
<bean:define id="radioDest" name="<%=bean%>" 
	property="radioDest" type="java.lang.String" />	


<%
CEIServerForm formbean = (CEIServerForm) session
                    .getAttribute(bean);
ArrayList databaseProviderList = formbean.getDatabaseProviderList();
ArrayList dataSourceList = formbean.getDataSourceList();
ArrayList remoteDestList = formbean.getRemoteDestList();
%>

<!-- function for reprsentation logic -->
<%
boolean isComeFromWizard=false;
if(bean.indexOf("com.ibm.ws.console.wbi.ndconfig.form")!=-1)
{
	isComeFromWizard=true;
}
if(!isComeFromWizard)
{
%>
<script language="JavaScript" src="/ibm/console/scripts/menu_functions.js"></script>
<%
}
%>


<script>
<!--


var _console = null;

function debug(msg) {
	if ((_console == null) || (_console.closed)) {
		_console = window.open("","console","width=600,height=600,resizable");
		_console.document.open("text/plain");
	}
	_console.document.writeln("<BR>"+msg);
}

imgout=new Image(9,9);
imgin=new Image(9,9);

imgout.src="images/arrow_collapsed_old.gif";
imgin.src="images/arrow_expanded_old.gif";

function filter(imagename,objectsrc){
	if (document.images){
		document.images[imagename].src=eval(objectsrc+".src");
	}
}

function toggle(id) {
	if (document.getElementById) {
		if (document.getElementById(id).style.display == "none"){
			document.getElementById(id).style.display = 'block';
			filter(("img"+id),'imgin');			
		} else {
			filter(("img"+id),'imgout');
			document.getElementById(id).style.display = 'none';			
		}	
	} else { 
		if (document.layers) {	
			if (document.id.display == "none"){
				document.id.display = 'block';
				filter(("img"+id),'imgin');
			} else {
				filter(("img"+id),'imgout');	
				document.id.display = 'none';
			}
		} else {
			if (document.all.id.style.visibility == "none"){
				document.all.id.style.display = 'block';
			} else {
				filter(("img"+id),'imgout');
				document.all.id.style.display = 'none';
			}
		}
	}
}

function updateDBAdditionalProperties(key){
	var db2u = "";
	var db2zos = "";
	var db2iseries = "";
	var derby = "";
	var informix = "";
	var oracle = "";
	var sqlserver = "";
	var sybase = "";
	
	db2u += "dbHostName=\n";
	db2u += "dbPort=50000\n";
	db2u += "dbNodeName=\n";
	db2u += "jdbcClassPath=\n";
	
	db2zos += "dbHostName=\n";
	db2zos += "dbPort=5027\n";
	db2zos += "dbAliasName=\n";
	db2zos += "dbSubSystemName=\n";
	db2zos += "eventDBName=event\n";
	db2zos += "eventCatalogDBName=eventcat\n";
	db2zos += "dbDiskSizeInMB=100 MB\n";
	db2zos += "storageGroup=\n";
	db2zos += "bufferPool4K=\n";
	db2zos += "bufferPool8K=\n";
	db2zos += "bufferPool16K=\n";
	db2zos += "jdbcClassPath=\n";

	db2iseries += "dbHostName=\n";
	db2iseries += "toolboxJdbcClassPath=\n";
	db2iseries += "nativeJdbcClassPath=\n";

	derby += "dbHostName=\n";
	derby += "dbPort=\n";

	informix += "dbHostName=\n";
	informix += "dbPort=1526\n";
	informix += "dbServerName=\n";
	informix += "dbInformixDir=\n";
	informix += "ceiInstancePrefix=ceiinst1\n";
	informix += "jdbcClassPath=\n";

	oracle += "dbHostName=\n";
	oracle += "dbPort=1521\n";
	oracle += "oracleHome=\n";
	oracle += "sysUser=sys\n";
	oracle += "sysPassword=\n";
	oracle += "ceiInstancePrefix=ceiinst1\n";
	oracle += "jdbcClassPath=\n";

	sqlserver += "dbHostName=\n";
	sqlserver += "dbPort=1433\n";
	sqlserver += "saUser=sa\n";
	sqlserver += "saPassword=\n";
	sqlserver += "ceiInstancePrefix=ceiinst1\n";
	sqlserver += "jdbcClassPath=\n";

	sybase += "dbHostName=\n";
	sybase += "dbPort=5000\n";
	sybase += "firstDeviceNumber=10\n";
	sybase += "dbCacheSizeInMB=10 MB\n";
	sybase += "dbDiskSizeInMB=100 MB\n";
	sybase += "createLogin=true\n";
	sybase += "saUser=sa\n";
	sybase += "saPassword=\n";
	sybase += "ceiInstancePrefix=ceiinst1\n";
	sybase += "jdbcClassPath=\n";
	sybase += "dbServerName=\n";
	sybase += "dbInstallDir=\n";

	var dbProperties = new Array(db2u, db2zos, db2iseries, derby, informix, oracle, sqlserver, sybase);
	document.getElementById("additionalProperties").value = dbProperties[key];
}

function getLabel(x){
	if (x == "DB2 Universal"){
		updateDBAdditionalProperties(0);
	}else if (x == "DB2 Universal zOS"){
		updateDBAdditionalProperties(1);
	}else if (x == "DB2 Universal iSeries"){
		updateDBAdditionalProperties(2);
	}else if (x == "Derby"){
		updateDBAdditionalProperties(3);
	}else if (x == "Informix"){
		updateDBAdditionalProperties(4);
	}else if (x == "Oracle"){
		updateDBAdditionalProperties(5);
	}else if (x == "SQLServer"){
		updateDBAdditionalProperties(6);
	}else if (x == "Sybase"){
		updateDBAdditionalProperties(7);
	}else{
	}
}


function displayControlll(element) {
	if(document.getElementById("isEnableServer").checked)
		document.getElementById("mainCEIServerCell").disabled = false;
	else
		document.getElementById("mainCEIServerCell").disabled = true;
		
	if(document.getElementById("configDestLocalCheck").checked)
		document.getElementById("configDestLocalCell").disabled = false;
	else
		document.getElementById("configDestLocalCell").disabled = true;
		
	if(document.getElementById("useRemoteDestCheck").checked)
		document.getElementById("useRemoteDestCell").disabled = false;
	else
		document.getElementById("useRemoteDestCell").disabled = true;
}
function hideAuth(){	
		disableField('dbUserName');
		disableField('dbPassword');
		disableField('dbConfirmPassword');
		disableField('dsUserName');
		disableField('dsPassword');
		disableField('dsConfirmPassword');	
}
function disableField(field){
		document.getElementById(field).disabled=true;
		if(isDom){
			document.getElementById(field).parentNode.style.color="#CCCCCC";
		}else{
			document.getElementById(field).parentElement.style.color="#CCCCCC";
		}
}
function displayControl() {
	enableDisable('isEnableServer:databaseProvider:databaseName:dbUserName:dbPassword:dbConfirmPassword:additionalProperties:isOverrideDataSource:isCreateDatabase:useRemoteDestCheck:configDestLocalCheck:dsSchemaName:dsUserName:dsPassword:dsConfirmPassword:remoteDest:isUseDefaultDataStore:dataSource:isCreateTables:navigation_edit:navigation_new:desNew');
	if(document.getElementById("isEnableServer").checked){
		useDefaultDsOrNot();
		disableSomethingWhenClickLocal();
		enableSomethingWhenClickRemote();
	} 
}
function disableSomethingWhenClickLocal(){
if(document.getElementById("configDestLocalCheck").checked){
		document.getElementById("remoteDest").disabled=true;
		var button=document.getElementsByName("new");
		button[0].disabled = true;
		}
}
function enableSomethingWhenClickRemote(){
if(document.getElementById("useRemoteDestCheck").checked){
		document.getElementById("remoteDest").disabled=false;
		var button=document.getElementsByName("new");
		button[0].disabled = false;
		
		var value=document.getElementById("remoteDest").value;
		if((value.indexOf("cluster=")>=0)||(value.indexOf("Cluster=")>=0)){
			document.getElementById("isUseDefaultDataStore").checked=false;
			document.getElementById("isUseDefaultDataStore").disabled=true;
			}else{
			document.getElementById("isUseDefaultDataStore").disabled=false;
			}
	}
} 
function onClickConfigureDsLocally(){
	disableSomethingWhenClickLocal();
	submitForm();
}
function onClickUseRemoteDs(){
	enableSomethingWhenClickRemote();
	if(document.getElementById("remoteDest").value!="")
		submitForm();
}
function remoteDesChanged(){
if(document.getElementById("useRemoteDestCheck").checked)
	submitForm();
}
function submitForm(){
	var x=document.getElementsByName("com.ibm.ws.console.wbi.coreceipme.CEIServerForm");
	x[0].submit();
}
function remoteDestChanged(){
	onClickUseRemoteDs();
}
function enableDisable(controlSet,origin) {
	var i=0;

	//debug("entering enable/disable");
    if (origin != "reset") {
        enableDisableArray[enableDisableArray.length] = controlSet;
    }

    controlArray = controlSet.split(",");
    //debug("controlArray.length="+controlArray.length);

    // set up variable default values
    disStatus = false;
    textStyle = "textEntry";
    textColor = "#000000";
    textAreaStyle = "textAreaEntry";
    
    // loop through controls to assign enablement/disablement to children
    for (i=0;i<controlArray.length;i++) {

        tmp = controlArray[i];
        //debug("processing controlArray["+i+"] i = "+i);

        cArray = tmp.split(":");

        // if this control is a master of 1 or more controls 
        if (cArray.length > 1) {

            // master control is at 0
            masterControlId = cArray[0];
            var flip = false;
            if (masterControlId.substr(0,1) == "!") {
            	masterControlId = masterControlId.substr(1);
            	flip = true;
            }
            masterControlStatus = document.getElementById(masterControlId).checked;
            if (flip) {
            	masterControlStatus = !masterControlStatus;
            }
            //debug("master = "+masterControlId + "   " +masterControlStatus+" i = "+i);

            
            // determine variable values for children based on master attribute
            // CHECKED attribute applies to both checkbox and radio buttons
            // For radio buttons, make sure ID attribute is assigned to the value of that
            // specific radio button
            if (masterControlStatus) {
                disStatus = false;
                textStyle = "textEntry";
                textColor = "#000000";
                textAreaStyle = "textAreaEntry";
            } else {
                disStatus = true;
                textStyle = "textEntryReadOnly";
                textColor = "#CCCCCC";
                textAreaStyle = "textAreaEntryReadOnly";
            }
            

            for (j=1;j<cArray.length;j++) {
            	var element = document.getElementById(cArray[j]);

                //if (document.getElementById(cArray[j])) {
                    // If child control is required, then "+Required" follows child control id
                    // If child control is long, then "+Long" follows
                    rcArray = cArray[j].split("+");
                    if (rcArray.length > 1) {
                        textStyle = textStyle+rcArray[1];
                        cArray[j] = rcArray[0];
                    }

                    // assign child control styles according to type
                    //alert(document.getElementById(cArray[j]).style.width);
                    //debug("type of "+cArray[j]+ " is "+element.type+" i = "+i);
                    if (element.type == "text") {
                        element.className = textStyle;
                    }
                    if (element.type == "textarea") {
                        element.className = textAreaStyle;
                    }
                    if (isDom) {
                        element.parentNode.style.color = textColor;
                    } else {
                        element.parentElement.style.color = textColor;
                    }
					//debug("Element: "+cArray[j]+".disabled is: "+(disStatus? "true" : "false")+" i = "+i);
                    element.disabled = disStatus;                
                //}
            }
			//debug("Finished inner loop, controlArray length is: "+controlArray.length+", i is "+i);

        }

    }
}

-->	
</script>
<script>
function disableAll(){
	document.getElementById("isEnableServer").disabled=true;
	document.getElementById("eventdb").disabled=true;
	document.getElementById("ceibus").disabled=true;
	document.getElementById("databaseProvider").disabled=true;
	document.getElementById("databaseName").disabled=true;
	document.getElementById("dbUserName").disabled=true;
	document.getElementById("dbPassword").disabled=true;
	document.getElementById("dbConfirmPassword").disabled=true;
	document.getElementById("additionalProperties").disabled=true;
	document.getElementById("isOverrideDataSource").disabled=true;
	document.getElementById("isCreateDatabase").disabled=true;
	document.getElementById("useRemoteDestCheck").disabled=true;
	document.getElementById("remoteDest").disabled=true;
	document.getElementById("configDestLocalCheck").disabled=true;
	document.getElementById("isUseDefaultDataStore").disabled=true;
	document.getElementById("dataSource").disabled=true;
	document.getElementById("navigation_edit").disabled=true;
	document.getElementById("navigation_new").disabled=true;
	document.getElementById("dsSchemaName").disabled=true;
	document.getElementById("dsUserName").disabled=true;
	document.getElementById("dsPassword").disabled=true;
	document.getElementById("dsConfirmPassword").disabled=true;
	document.getElementById("isCreateTables").disabled=true;
	document.getElementById("desNew").disabled=true;
}
function useDefaultDsOrNot(){
	if(document.getElementById("isUseDefaultDataStore").checked==true){
		document.getElementById("dataSource").disabled=true;
		document.getElementById("navigation_edit").disabled=true;
		document.getElementById("navigation_new").disabled=true;
		document.getElementById("dataSourceLabelId").disabled=true;
	}else if(document.getElementById("isUseDefaultDataStore").checked==false){
		document.getElementById("dataSource").disabled=false;
		document.getElementById("navigation_edit").disabled=false;
		document.getElementById("navigation_new").disabled=false;
		document.getElementById("dataSourceLabelId").disabled=false;
	}
}
</script>
<%
if(!isComeFromWizard)
{
%>
<td class="table-text"  scope="row" valign="top" nowrap>
<%
}
%>
<%
CEIServerForm detailForm = (CEIServerForm) session
                    .getAttribute("com.ibm.ws.console.wbi.coreceipme.CEIServerForm");   
%>
<table border="0" cellspacing="0" cellpadding="3">
	<tr valign="top">
		<td class="table-text" nowrap>
			<label for="isEnableServer"
			title="<bean:message key="WPSCluster.ceiserver.isEnableServer.description"/>">
				<html:checkbox property="isEnableServer" 
							   styleId="isEnableServer" 
							   name="<%=bean%>"
							   onclick="displayControl()"/>
				<input type="hidden" name="isEnableServer"
				value="false" /> 			   
				<bean:message key="WPSCluster.ceiserver.isEnableServer.label" />
			</label>
		</td>
		<td class="table-text" nowrap>
		</td>

	</tr>

    <tr valign="top">
        <td class="table-text" style="padding-left:30px;" nowrap id="mainCEIServerCell">
            <table border="0" cellpadding="5" cellspacing="0" width="100%" class="framing-table">
                <tr>
                    <td class="table-text" valign="top" nowrap>
                    	<a href="#eventdb" onClick="toggle('eventdb');" > 
    	                    <h2 style="font-size: 100%; margin-top: 10px; border-style: none">
	                        <img src="images/arrow_collapsed_old.gif" name="imgeventdb"/>
								<bean:message key="WPSCluster.ceiserver.commonEventInfrastructureEventDatabase.label" />
            	            </h2>
                        </a>
                       	<NOSCRIPT><B>
						<FONT COLOR="red"> Your browser is not enabled for JavaScript. This control will not work. </FONT>
						</B></NOSCRIPT>
			            <table border="0" cellpadding="5" cellspacing="0" width="100%" class="framing-table">
			                <tr>
			                    <td class="table-text" valign="top">
			                        <div style="display: none; margin-top: 5px" id="eventdb">
				                        <table border="0" cellpadding="5" cellspacing="0" class="framing-table">
				                        <tr valign="top">
												<td class="table-text" scope="row" colspan="1" nowrap>
													<bean:message key="WPSCluster.ceiserver.event.description" />
												</td>
										</tr>
											<tr valign="top">
												<td class="table-text" scope="row" colspan="1" nowrap>
													<label for="databaseProvider" title="<bean:message key="WPSCluster.ceiserver.databaseProvider.description"/>">
														<bean:message key="WPSCluster.ceiserver.databaseProvider.label" />
													
													<br/>

													<html:select property="databaseProvider"
														name="<%=bean%>"
														styleId="databaseProvider"
														onchange="getLabel(options[selectedIndex].text)" >
														<%
														if (databaseProviderList != null)
														{
															for (int j = 0; j < databaseProviderList.size(); j++)
															{
																String value = (String) databaseProviderList.get(j);		
																%>
																<html:option value="<%=value%>">
																	<%=value%>
																</html:option>
																<%         
															}
														}%>
													</html:select>
													</label>
												</td>
											</tr>

			
											<tr valign="top">
												<td class="table-text" scope="row" colspan="1" nowrap>
													<label for="databaseName" title="<bean:message key="WPSCluster.ceiserver.databaseName.description"/>">
														<bean:message key="WPSCluster.ceiserver.databaseName.label" />
													
													<br/>
													<html:text property="databaseName"
														name="<%=bean%>"
														size="20"
														styleId="databaseName"
														styleClass="textEntry"
													disabled="false" />
													</label>	
												</td>
											</tr>
			
											<tr valign="top">
												<td class="table-text" scope="row" colspan="1" nowrap>
													<label for="dbUserName" title="<bean:message key="WPSCluster.ceiserver.dbUserName.description"/>">
														<bean:message key="WPSCluster.ceiserver.dbUserName.label" />
														
													<br/>
													<html:text property="dbUserName"
														name="<%=bean%>"
														size="20"
														styleId="dbUserName"
														styleClass="textEntry"
													disabled="false" />
													</label>
												</td>
											</tr>
											<tr valign="top">
												<td class="table-text" scope="row" colspan="1" nowrap>
													<label for="dbPassword" title="<bean:message key="WPSCluster.ceiserver.dbPassword.description"/>">
														<bean:message key="WPSCluster.ceiserver.dbPassword.label" />
														
													<br/>
													<html:password property="dbPassword"
														name="<%=bean%>"
														size="20"
														styleId="dbPassword"
														styleClass="textEntry"
													disabled="false" />
													</label>
												</td>
											</tr>
											<tr valign="top">
												<td class="table-text" scope="row" colspan="1" nowrap>
													<label for="dbConfirmPassword" title="<bean:message key="WPSCluster.ceiserver.dbConfirmPassword.description"/>">
														<bean:message key="WPSCluster.ceiserver.dbConfirmPassword.label" />
													
													<br/>
													<html:password property="dbConfirmPassword"
														name="<%=bean%>"
														size="20"
														styleId="dbConfirmPassword"
														styleClass="textEntry"
													disabled="false" />
													</label>	
												</td>
											</tr>
											<tr valign="top">
												<td class="table-text" nowrap>
													<label for="additionalProperties" title="<bean:message key="WPSCluster.ceiserver.additionalProperties.description"/>">
														<bean:message key="WPSCluster.ceiserver.additionalProperties.label" />
													
													<br/>
													<html:textarea property="additionalProperties"
														name="<%=bean%>" styleId="additionalProperties" styleClass="textEntry"
														rows="10" cols="60"
													disabled="false" />
													</label>	
												</td>
											</tr>

											<tr valign="top">
												<td class="table-text" nowrap>
													<label for="isOverrideDataSource"
														title="<bean:message key="WPSCluster.ceiserver.isOverrideDataSource.description"/>">
														<html:checkbox
															property="isOverrideDataSource" styleId="isOverrideDataSource" name="<%=bean%>"
															disabled="false" />
														<input type="hidden" name="isOverrideDataSource" value="false" /> 	
														<bean:message key="WPSCluster.ceiserver.isOverrideDataSource.label" />
													</label>
												</td>
											</tr>
			
											<tr valign="top">
												<td class="table-text" nowrap>
													<label for="isCreateDatabase"
														title="<bean:message key="WPSCluster.ceiserver.isCreateDatabase.description"/>">
														<html:checkbox
															property="isCreateDatabase" styleId="isCreateDatabase" name="<%=bean%>"
															disabled="false" />
														<input type="hidden" name="isCreateDatabase" value="false" /> 		
														<bean:message key="WPSCluster.ceiserver.isCreateDatabase.label" />
													</label>
												</td>
											</tr>
							            </table>
									</div>
								</td>
							</tr>
						</table>
                    </td>
                </tr>
				
				
				<tr>
                    <td class="table-text" valign="top" nowrap>
                    	<a href="#ceibus" onClick="toggle('ceibus');" > 
	                        <h2 style="font-size: 100%; margin-top: 10px; border-style: none">
                    		<img src="images/arrow_collapsed_old.gif" name="imgceibus"/>
    	                        <bean:message key="WPSCluster.ceiserver.commonEventInfrastructureBus.label" />
        	                </h2>
        	            </a>
			                        <div style="display: none; margin-top: 5px" id="ceibus">
			                        <bean:message key="WPSCluster.ceiserver.bus.description" />
			                        <fieldset>
										<legend>
											<bean:message key="WPSCluster.ceiserver.CEIBusDesLoc.core.label" />
										</legend>
				                        <table border="0" cellpadding="5" cellspacing="0" class="framing-table">
				                        	<tr>
												<td class="table-text" valign="top">
													<label for="configDestLocalCheck" title="<bean:message key="WPSCluster.ceiserver.configDestLocal.description"/>">
				                        				<html:radio property="radioDest"
																	value="configDestLocal" 
																	styleId="configDestLocalCheck" 
																	onclick="onClickConfigureDsLocally()" /> 
						    	                        <bean:message key="WPSCluster.ceiserver.configDestLocal.label" />
													</label>
												</td>
				                        	</tr>
											<tr>
												<td class="table-text" valign="top">
													<label for="useRemoteDestCheck" title="<bean:message key="WPSCluster.ceiserver.useRemoteDest.description"/>">
				                        			
				                        				<html:radio property="radioDest"
																	value="useRemoteDest" 
																	styleId="useRemoteDestCheck"
																	onclick="onClickUseRemoteDs()" /> 
																		
						    	                        <bean:message key="WPSCluster.ceiserver.useRemoteDest.label" />
													</label>
												</td>
											</tr>
											<tr>
										        <td class="table-text" style="padding-left:30px;" valign="top" nowrap id="useRemoteDestCell">
													<html:select property="remoteDest" 
																 name="<%=bean%>" 
																 styleId="remoteDest" onchange="remoteDestChanged()">
														<%
															if (remoteDestList != null)
															{
																for (int j = 0; j < remoteDestList.size(); j++)
																{
																		String value = (String) remoteDestList.get(j);		
																		%>
																		<html:option value="<%=value%>">
																			<%=value%>
																		</html:option>
																		<%         
																}
															}
														%>
													</html:select>		
												<input type="submit" name="new" value="<bean:message key="BrowseDeployTarget.new.displayName" />" id="desNew" class="buttons" style="font-size: 100%; margin-top: 0px"/>
												</td>
				                        	</tr>
							                </table>  
							                </fieldset> 
							                <table border="0" cellpadding="5" cellspacing="0" width="100%" class="framing-table">
											<tr>
										        <td class="table-text" nowrap id="configDestLocalCell">
										        	
						    	                    			<label for="isUseDefaultDataStore"
								                        			title="<bean:message key="WPSCluster.ceiserver.isUseDefaultDataStore.description"/>">
								                        				<%
								                        				if(detailForm.isCluster()==true){
								                        				%>
								                        				<html:checkbox
							    	                    					property="isUseDefaultDataStore" 
							    	                    					styleId="isUseDefaultDataStore" 
							    	                    					name="<%=bean%>" onclick="useDefaultDsOrNot()" disabled="true"/>
							    	                    				<% }else{ %>	
								                        				<html:checkbox
							    	                    					property="isUseDefaultDataStore" 
							    	                    					styleId="isUseDefaultDataStore" 
							    	                    					name="<%=bean%>" onclick="useDefaultDsOrNot()"/>
							    	                    				<% } %>	
							    	                    					<input type="hidden" name="isUseDefaultDataStore" value="false" /> 
							        	                				<bean:message key="WPSCluster.ceiserver.isUseDefaultDataStore.label" />
						            	            			</label>
						            	            		</td>
						            	            	</tr>
														<tr valign="top">
													        <td class="table-text" style="padding-left:30px;"  nowrap>
																<label for="dataSource" id="dataSourceLabelId" title="<bean:message key="WPSCluster.ceiserver.dataSource.description"/>">
																	<bean:message key="WPSCluster.ceiserver.dataSource.label" />
																
																<br/>
																<html:select property="dataSource"
																			 name="<%=bean%>"
																			 styleId="dataSource" >
																	<%
																		if (dataSourceList != null)
																		{
																			for (int j = 0; j < dataSourceList.size(); j++)
																			{
																				String value = (String) dataSourceList.get(j);		
																				%>
																				<html:option value="<%=value%>">
																					<%=value%>
																				</html:option>
																				<%         
																			}
																		}
																	%>
																</html:select></label>
																<html:submit property="dataSource.edit" 
																	styleClass="buttons"
																	styleId="navigation_edit"
																	style="font-size: 100%; margin-top: 0px">
																	<bean:message key="WPSCluster.ceiserver.button.label.edit"/>
																</html:submit>
									
																<html:submit property="dataSource.new" 
																	styleClass="buttons"
																	styleId="navigation_new"
																	style="font-size: 100%; margin-top: 0px">
																	<bean:message key="WPSCluster.ceiserver.button.label.new"/>
																</html:submit>
															</td>
														</tr>

														<tr valign="top">
															<td class="table-text" scope="row" colspan="0" nowrap>
																<label for="dsSchemaName" title="<bean:message key="WPSCluster.ceiserver.dsSchemaName.description"/>">
																	<bean:message key="WPSCluster.ceiserver.dsSchemaName.label" />
																	
																<br/>
																<html:text property="dsSchemaName"
																		   name="<%=bean%>"
																		   size="20"
																		   styleId="dsSchemaName"
																		   styleClass="textEntry" />
																</label>
															</td>
														</tr>
						
														<tr valign="top">
															<td class="table-text" scope="row" colspan="1" nowrap>
																<label for="dsUserName" title="<bean:message key="WPSCluster.ceiserver.dsUserName.description"/>">
																	<bean:message key="WPSCluster.ceiserver.dsUserName.label" />
																
																<br/>
																<html:text property="dsUserName"
																		   name="<%=bean%>"
																		   size="20"
																		   styleId="dsUserName"
																		   styleClass="textEntry" />
																</label>	
															</td>
														</tr>
						
														<tr valign="top">
															<td class="table-text" scope="row" colspan="1" nowrap>
																<label for="dsPassword" title="<bean:message key="WPSCluster.ceiserver.dsPassword.description"/>">
																	<bean:message key="WPSCluster.ceiserver.dsPassword.label" />
																	
																<br/>
																<html:password property="dsPassword"
																			   name="<%=bean%>"
																			   size="20"
																			   styleId="dsPassword"
																			   styleClass="textEntry" />
																</label>
															</td>
														</tr>
																	
														<tr valign="top">
															<td class="table-text" scope="row" colspan="1" nowrap>
																<label for="dsConfirmPassword" title="<bean:message key="WPSCluster.ceiserver.dsConfirmPassword.description"/>">
																	<bean:message key="WPSCluster.ceiserver.dsConfirmPassword.label" />
																
																<br/>
																<html:password property="dsConfirmPassword"
																			   name="<%=bean%>"
																			   size="20"
																			   styleId="dsConfirmPassword"
																			   styleClass="textEntry" />
																</label>	
															</td>
														</tr>
									
						            	            	<tr valign="top">
						        	                		<td class="table-text" nowrap>
						    	                    			<label for="isCreateTables"	title="<bean:message key="WPSCluster.ceiserver.isCreateTables.description"/>">
						                        					<html:checkbox property="isCreateTables" 
						                        								   styleId="isCreateTables" 
						                        								   name="<%=bean%>" />
						                        					<input type="hidden" name="isCreateTables" value="false" /> 
						                    	    				<bean:message key="WPSCluster.ceiserver.isCreateTables.label" />
						                	        			</label>
															
												</td>
											</tr>
				    	                </table>
									</div>
			                    
                    </td>
                </tr>
            </table>
        </td>
    </tr>

</table>

<%
if(!isComeFromWizard)
{
%>
</td>
<%
}
%>
<script>
displayControl();
</script>
<%	
    
if(detailForm.isCeiConfigured()){     
%>	       
<script>
disableAll();
</script>
<%	       
}     
%>
<%if(!detailForm.isAdminUser())
%>
<script>
hideAuth();
</script>
