<%
//BEGIN COPYRIGHT
//*************************************************************************
//
//	Licensed Materials - Property of IBM
//	5724-I82, 5655-R15
//	- Copyright IBM Corporation 2007. All Rights Reserved.
//	US Government Users Restricted Rights- Use, duplication or disclosure
//	restricted by GSA ADP Schedule Contract with IBM Corp.
//
//*************************************************************************
//END COPYRIGHT
%>

<%@ page import="java.util.*"%>
<%@ page import="com.ibm.ws.security.core.SecurityContext"%>
<%@ page import="com.ibm.ws.console.wbi.coreceipme.CEIServerForm"%>

<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tiles.tld" prefix="tiles" %>

<bean:define id="formBean" name="com.ibm.ws.console.wbi.coreceipme.CEIServerForm"
		type="com.ibm.ws.console.wbi.coreceipme.CEIServerForm"/>
<% 
	boolean ifShowLink = false; 
	if(SecurityContext.isSecurityEnabled()){
        if(request.isUserInRole("administrator") || request.isUserInRole("configurator")){
            ifShowLink = true;
        }
    }
    else{
    	ifShowLink = true;
    }
    if(ifShowLink && formBean.isCeiConfigured()){
    	ifShowLink = true;
    }else{
    	ifShowLink = false;
    }
%>


<TD VALIGN="top">
	<DIV id="additional.properties" class="main-category" style='margin-left:0.3em;'>                            
		<bean:message key="WPSCluster.ceiserver.additionalProperties.label"/>
    </DIV>                           
	<DIV id="child_additional.properties" class="main-category-container" style='margin-left:0.3em'>
	
		<UL CLASS="main-child">
			<LI CLASS="nav-bullet" TITLE="<bean:message key="WPSCluster.custproperty.description"/>">
				<a href="com.ibm.ws.console.wbi.coreceipme.forwardCmd.do?forwardName=Property.content.main&amp;sfname=properties">  
		           	<bean:message key="WPSCluster.custproperty.displayName"/>                      
				</a> 
			</LI>  
	 	</UL>
	 	
		<% if(ifShowLink){
			String linkalias= "com.ibm.ws.console.wbi.webui.common.forwardCmd.do?forwardName=Ceipme.JAASAuthData.config.view&amp;securityEntityName=CommonEventInfrastructureJMSAuthAlias&amp;lastpage=WPSCluster.ceiserver.view&amp;linkType=CEI";
			String node = formBean.getNode();
			String server = formBean.getServer();			
			String cluster = formBean.getCluster();
			String remoteDest = formBean.getRemoteDest();
			
			if(node != null && node.length() > 0)
				node = "&amp;node="+node;
			else
				node = "";
			if(server != null && server.length() > 0)
				server = "&amp;server="+server;
			else
				server = "";
			if(cluster != null && cluster.length() > 0)
				cluster = "&amp;cluster="+cluster;
			else
				cluster = "";
			if(remoteDest != null && remoteDest.length() > 0)
				remoteDest = "&amp;remoteDest="+remoteDest;
			else
				remoteDest = "";
			linkalias = linkalias+node+server+cluster;
		%>
		<UL CLASS="main-child">
			<LI CLASS="nav-bullet" TITLE="<bean:message key="WPSCluster.ceiserver.additionalProp.JMSAuthAlias.description"/>">
				<a href=<%=linkalias%>>  
		           	<bean:message key="WPSCluster.ceiserver.additionalProp.JMSAuthAlias.displayName"/>                      
				</a> 
			</LI>  
		</UL>
		<%
			} 
		%>             
	</DIV> 
</TD>        
       
