@REM BEGIN COPYRIGHT
@REM *************************************************************************
@REM 
@REM  Licensed Materials - Property of IBM
@REM  5725-C94, 5724-I82
@REM  (C) Copyright IBM Corporation 2005, 2011. All Rights Reserved.
@REM  US Government Users Restricted Rights- Use, duplication or disclosure
@REM  restricted by GSA ADP Schedule Contract with IBM Corp.
@REM 
@REM *************************************************************************
@REM END COPYRIGHT

@REM launches the ConfigFileCopier.

REM echo off

setlocal

REM setup env:
call "%WAS_USER_SCRIPT%"

set CLASSNAME="com.ibm.wbis.install.ConfigFileCopier"

set MY_PROPS="-Dserver.root=%WAS_HOME%" "-Dwas.install.root=%WAS_HOME%" -Dcom.ibm.ws.management.standalone=true "-Dlocal.cell=%WAS_CELL%" "-Dlocal.node=%WAS_NODE%" "-Duser.install.root=%USER_INSTALL_ROOT%" "-Dwas.repository.root=%CONFIG_ROOT%" "-Dws.ext.dirs=%WAS_EXT_DIRS%" -Dcom.ibm.CORBA.BootstrapHost=%COMPUTERNAME% -Dtrace=%TRACE% "-DtraceFile=%TRACEFILE%" "-DConfigService.TestMode=True" 

"%JAVA_HOME%\bin\java" %QWBI_DEBUG% %WAS_TRACE% %CONSOLE_ENCODING% "%CLIENTSOAP%" "%CLIENTSAS%" "-classpath" "%WAS_CLASSPATH%" %MY_PROPS% %USER_INSTALL_PROP% "com.ibm.ws.bootstrap.WSLauncher"  %CLASSNAME% %*

set MYERRORLEVEL=%ERRORLEVEL%
if defined PROFILE_CONFIG_ACTION exit %MYERRORLEVEL% else exit /b %MYERRORLEVEL%

endlocal
