<!-- 
Licensed Materials - Property of IBM
5724-L01, 5655-N53, 5724-I82, 5655-R15
- Copyright IBM Corporation 2007. All Rights Reserved.
US Government Users Restricted Rights- Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
-->

<%@ taglib uri="/WEB-INF/ibmcommon.tld" prefix="ibmcommon" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/tiles.tld" prefix="tiles" %>

<%@page import="com.ibm.ws.console.sca.httpBinding.SCAModuleHttpBindingForm" %> 
<%@page import="com.ibm.ws.console.sca.SCAModuleConstants" %> 
<script language="JavaScript" src="/ibm/console/scripts/menu_functions.js"></script>
<script type="text/javascript">
document.onclick = onResetButton;
function onResetButton(e){
var thebutton = "";
var buttonObj = "";
if (isDom) 
	{
            thebutton = e.target.name;
            buttonObj = e.target;
    } 
    else
    {
            e = event;
            thebutton = e.srcElement.name;
            buttonObj = e.srcElement;
    }
if(buttonObj.name=="reset"){
	changeContentEncoding();
} 
if(buttonObj.name=="apply"||buttonObj.name=="save"){
	savePingable();
	saveReturnCode();
}   
setTopVarOff(e);
}
function savePingable(){
	var list=document.getElementsByName("pingableCheckbox");
	pingableString="";
	for(i=0;i<list.length;i++) 
	{
		if(list[i].checked ==true)
			pingableString+=list[i].value+";";
	}
	document.getElementById("pingableString").value=pingableString;
}
function saveReturnCode(){
	var list=document.getElementsByName("returnCodeText");
	returnCodeString="";
	for(i=0;i<list.length;i++) 
	{
		if(list[i].value !="")	
			returnCodeString+=list[i].id+":"+list[i].value+";";
	}
	document.getElementById("returnCodeString").value=returnCodeString;
}
function changeContentEncoding(){
 	if(document.getElementById("transferEncodeSelect").value=="chunked"){
 	  	document.getElementById("contentEncodeSelect").disabled=true;
 	  	document.getElementById("contentEncodeSelect").value="identity";
 	}
 	else {
 		document.getElementById("contentEncodeSelect").disabled=false;  
 	}
}

function methodChanged(){
	var x=document.getElementsByName("com.ibm.ws.console.sca.httpBinding.SCAModuleHttpBindingForm");
	x[0].submit();
}

function enableDisableMethod(){
if(document.getElementById("enableMethodScope")!=null){
	enableDisable('enableMethodScope:transferEncodeSelect:contentEncodeSelect');
	enableDisableMethodTable();
	}
}
function enableDisableMethodTable(){
	if(document.getElementById("enableMethodScope").checked){
		enableMethodTable();
	}else{
		disableMethodTable();
	}
}
function enableMethodTable(){
	var list=document.getElementsByName("pingableCheckbox");
	for(i=0;i<list.length;i++){	
		list[i].disabled =false;		
	}		
	list=document.getElementsByName("returnCodeText");
	for(j=0;j<list.length;j++){
		list[j].disabled =false;		
	}	
}
function disableMethodTable(){
	var list=document.getElementsByName("pingableCheckbox");
	for(i=0;i<list.length;i++){	
		list[i].disabled =true;		
	}		
	list=document.getElementsByName("returnCodeText");
	for(j=0;j<list.length;j++){
		list[j].disabled =true;		
	}	
}
</script>		

<%
String formName="com.ibm.ws.console.sca.httpBinding.SCAModuleHttpBindingForm";
SCAModuleHttpBindingForm detailForm = (SCAModuleHttpBindingForm) session
                    .getAttribute("com.ibm.ws.console.sca.httpBinding.SCAModuleHttpBindingForm");
if(detailForm.getPerspective().equalsIgnoreCase("tab.methodScope")){                 
%>
<table class="framing-table" border="0" cellpadding="5" cellspacing="0" width="100%" summary="Properties Table" > 
	     <TBODY>
	     
	    <tr VALIGN="TOP">
			<td class="table-text" nowrap>
			<label for="selectedMethod" title="<bean:message key="ScaModules.httpImport.selectMethods.help"/>">
				<bean:message key="ScaModules.Binding.selectMethod.displayName" />
				<br>
				<html:select property="selectedMethod" styleId="selectedMethod" onchange="methodChanged()"> 
					<html:options name="<%=formName%>" property="methodsAvailable" /> 
				</html:select>
				</label> 
			</td>
		 </tr>
		 
		  <!--
		 <tr VALIGN="TOP">
	      		<td class="table-text" nowrap>
	      		<label for="enableMethodScope" title="<bean:message key="ScaModules.httpImport.enableMethod.help"/>">
	      			<html:checkbox name="<%=formName%>" property="enableMethodScope" styleId="enableMethodScope" onclick="enableDisableMethod()"/>
					<bean:message key="ScaModules.Binding.enableMethod.displayName" />
				</label>	
				</td>
		</tr>
		-->
		</TBODY>
		</table>
		<%
		}	
		%>
		<FIELDSET>
	    <LEGEND><bean:message key="ScaModules.Binding.endpoint.displayName"/></LEGEND>
	    <table class="framing-table" border="0" cellpadding="5" cellspacing="0" width="100%" summary="Properties Table" > 
	     <TBODY>
	     
	     <tr VALIGN="TOP">
			<td class="table-text" nowrap>
			<label for="contextPath" title="<bean:message key="ScaModules.httpExport.contextPath.help"/>">
				<bean:message key="ScaModules.Binding.contextPath.displayName" />
				<br>
				<html:text property="contextPath"
										name="<%=formName%>"
										size="20"
										styleClass="textEntry"
										styleId="contextPath" disabled="true"/>
			</label>							
			</td>
		 </tr>
		 </TBODY>
		 </table>
	</FIELDSET>
	<FIELDSET ID="MethodTable">
	    	<LEGEND><bean:message key="ScaModules.Binding.methods.displayName"/></LEGEND>
	      		<tiles:insert definition="SCAModule.httpExportBinding.MethodTable" flush="true">
	     		</tiles:insert> 
	 </FIELDSET>
	 <FIELDSET>
	    	<LEGEND><bean:message key="ScaModules.Binding.encoding.displayName"/></LEGEND>
	    	<table class="framing-table" border="0" cellpadding="5" cellspacing="0" width="100%" summary="Properties Table" >
	      	<TBODY>
	      	
	      	<tr VALIGN="TOP">
			<td class="table-text" nowrap>
			<label for="transferEncodeSelect" title="<bean:message key="ScaModules.httpImport.transEncoding.help"/>">
				<bean:message key="ScaModules.Binding.transferEncoding.displayName" />
				<br>
				<html:select property="selectedTransferEncode" styleId="transferEncodeSelect" onchange="changeContentEncoding()"> 
					<html:options name="<%=formName%>" property="transferEncodeList" /> 
				</html:select> 
			</label>
			</td>
		 </tr>
		  
		  	
		 <tr VALIGN="TOP">
			<td class="table-text" nowrap>
			<label for="contentEncodeSelect" title="<bean:message key="ScaModules.httpImport.contentEncoding.help"/>">
				<bean:message key="ScaModules.Binding.contentEncoding.displayName" />
			<br>
		 	<%
		 	if(detailForm.getSelectedTransferEncode().equals(SCAModuleConstants.ENCODING_CHUNKED)){
		 		detailForm.setSelectedContentEncode(SCAModuleConstants.ENCODING_IDENTITY);
		 		session.setAttribute("com.ibm.ws.console.sca.httpBinding.SCAModuleHttpBindingForm",detailForm);
		 	%>
		 	<html:select property="selectedContentEncode" disabled="true" styleId="contentEncodeSelect" value="identity"> 
					<html:options name="<%=formName%>" property="contentEncodeList" /> 
			</html:select> 
			<%	
		 	}else{
		 	%>
				<html:select property="selectedContentEncode" styleId="contentEncodeSelect"> 
					<html:options name="<%=formName%>" property="contentEncodeList" /> 
				</html:select> 
			<%	
		 	} 
		 	%>	
		 	</label>
			</td>
		 	</tr> 	
	      	</TBODY>
	      	</table>
	  </FIELDSET> 
<script type="text/javascript">
	
</script>
	  