<%
//BEGIN COPYRIGHT
//*************************************************************************
//
//	Licensed Materials - Property of IBM
//	5724-L01, 5655-N53, 5724-I82, 5655-R15
//	- Copyright IBM Corporation 2006,2007. All Rights Reserved.
//	US Government Users Restricted Rights- Use, duplication or disclosure
//	restricted by GSA ADP Schedule Contract with IBM Corp.
//
//*************************************************************************
//END COPYRIGHT
%>

<%@ page import="java.util.*,org.apache.struts.util.MessageResources,org.apache.struts.action.Action"%>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tiles.tld" prefix="tiles" %>
<%@ taglib uri="/WEB-INF/ibmcommon.tld" prefix="ibmcommon" %>

<!--  property is used to pass attributes for other fields in this jsp -->
<tiles:useAttribute id="units" name="units" classname="java.lang.String"/>
<tiles:useAttribute id="property" name="property" classname="java.lang.String"/>
<%-- due to the bean name inconsistence between "custome" and "jsp" type for configLayout, we put the bean name into the property
<tiles:useAttribute id="formBean" name="formBean" classname="java.lang.String"/>
--%>
<tiles:useAttribute id="isRequired" name="isRequired" classname="java.lang.String" />
<tiles:useAttribute id="size" name="size" classname="java.lang.String" />

<%
	ServletContext servletContext = (ServletContext)pageContext.getServletContext();
	MessageResources messages = (MessageResources)servletContext.getAttribute(org.apache.struts.Globals.MESSAGES_KEY);
    StringTokenizer st = new StringTokenizer(property, "/");
    String formBean = st.nextToken();
    String enableLabel = messages.getMessage(request.getLocale(),st.nextToken());
    String enableProperty = st.nextToken();
    String userNameLabel = st.nextToken();
    String userNameProperty = st.nextToken();
    String passwordLabel = st.nextToken();
    String passwordProperty = st.nextToken();   
    boolean addTD = st.hasMoreTokens() ? st.nextToken().equalsIgnoreCase("addTD") : false;   
    
    String ableFuncNameFull = "ablePassword_"+enableProperty+"()";
%>

<!-- 
	<bean:define id="userTextfieldName" name="<%=formBean%>" property="<%=userNameProperty%>"/>
	<bean:define id="passTextfieldName" name="<%=formBean%>" property="<%=passwordProperty%>"/>
 -->
 	
	<script type="text/javascript" language="JavaScript">
	    function <%=ableFuncNameFull%>{
	      if(document.forms[0].<%=enableProperty%>.checked == true)
	      {
	      	document.forms[0].<%=userNameProperty%>.disabled = false;
	      	document.forms[0].<%=passwordProperty%>.disabled = false;
	      } else
	      {
	      	document.forms[0].<%=userNameProperty%>.disabled = true;
	      	document.forms[0].<%=passwordProperty%>.disabled = true;
	      }
	    }
	</script> 

<%	if(addTD) { %>
	<td class="table-text"  scope="row" >
<%  } %>

	<table class="framing-table" border="0" cellpadding="5" cellspacing="0" width="100%" summary="Properties Table" >
	         
	<tr valign="top">
    	<td class="table-text"  scope="row" >
	  	        <html:checkbox property="<%=enableProperty%>" name="<%=formBean%>" styleId="<%=enableProperty%>" styleClass="chkbox" onclick="<%=ableFuncNameFull%>"/>
	            <%=enableLabel%> 
        </td>
    </tr>
        
	<tr valign="top">
        <tiles:insert page="/secure/layouts/textFieldLayout.jsp" flush="false">
        <tiles:put name="property" value="<%=userNameProperty%>" />
        <tiles:put name="isReadOnly" value="false" />
        <tiles:put name="isRequired" value="yes" />
        <tiles:put name="label" value="<%=userNameLabel%>" />
        <tiles:put name="size" value="<%=size%>" />
        <tiles:put name="units" value=""/>
        <tiles:put name="desc" value=""/>
        <tiles:put name="bean" value="<%=formBean%>" />
        </tiles:insert>
    </tr>
        
	<tr valign="top">
        <tiles:insert page="/secure/layouts/passwordLayout.jsp" flush="false">
        <tiles:put name="property" value="<%=passwordProperty%>" />
        <tiles:put name="isReadOnly" value="false" />
        <tiles:put name="isRequired" value="yes" />
        <tiles:put name="label" value="<%=passwordLabel%>" />
        <tiles:put name="size" value="<%=size%>" />
        <tiles:put name="units" value=""/>
        <tiles:put name="desc" value=""/>
        <tiles:put name="bean" value="<%=formBean%>" />
        </tiles:insert>
    </tr>

	<script type="text/javascript" language="JavaScript">
		<%=ableFuncNameFull%>;
	</script>

    </table>

<%	if(addTD) { %>
	</td>
<%  } %>
